<!DOCTYPE HTML PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">

  
  

  


  

  
    <title>
          #8309 (signal when chat is added/removed to the buddy list)
     –
      Pidgin – Trac
    </title>
        <link rel="search" href="http://developer.pidgin.im/search">
        <link rel="prev" href="http://developer.pidgin.im/ticket/7605" title="Ticket #7605">
        <link rel="help" href="http://developer.pidgin.im/wiki/TracGuide">
        <link rel="alternate" href="http://developer.pidgin.im/ticket/8309?format=csv" type="text/csv" class="csv" title="Comma-delimited Text"><link rel="alternate" href="http://developer.pidgin.im/ticket/8309?format=tab" type="text/tab-separated-values" class="tab" title="Tab-delimited Text"><link rel="alternate" href="http://developer.pidgin.im/ticket/8309?format=rss" type="application/rss+xml" class="rss" title="RSS Feed">
        <link rel="up" href="http://developer.pidgin.im/query?summary=%7Esignal&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=component&amp;col=version&amp;milestone=2.6.0&amp;order=priority&amp;row=description">
        <link rel="start" href="http://developer.pidgin.im/wiki">
        <link rel="stylesheet" href="8309_soubory/trac.css" type="text/css"><link rel="stylesheet" href="8309_soubory/tracvote.css" type="text/css"><link rel="stylesheet" href="8309_soubory/ticket.css" type="text/css">
        <link rel="first" href="http://developer.pidgin.im/ticket/3156" title="Ticket #3156">
        <link rel="shortcut icon" href="http://developer.pidgin.im/static/pidgin.ico" type="image/x-icon">
        <link rel="icon" href="http://developer.pidgin.im/static/pidgin.ico" type="image/x-icon">
      <link type="application/opensearchdescription+xml" rel="search" href="http://developer.pidgin.im/search/opensearch" title="Search Pidgin">
    <script type="text/javascript" src="8309_soubory/jquery.js"></script><script type="text/javascript" src="8309_soubory/trac.js"></script><script type="text/javascript" src="8309_soubory/search.js"></script><script type="text/javascript" src="8309_soubory/tracvote.js"></script>
    <!--[if lt IE 7]>
    <script type="text/javascript" src="/chrome/common/js/ie_pre7_hacks.js"></script>
    <![endif]-->
    <script type="text/javascript" src="8309_soubory/wikitoolbar.js"></script><script type="text/javascript">
      jQuery(document).ready(function($) {
        $("div.description").find("h1,h2,h3,h4,h5,h6").addAnchor("Link to this section");
        $("#changelog h3.change").addAnchor("Link to this change");
        /* only enable control elements for the currently selected action */
        var actions = $("#action input[name='action']");
        function updateActionFields() {
          actions.each(function () {
            $(this).siblings().find("*[@id]").enable($(this).checked());
            $(this).siblings().filter("*[@id]").enable($(this).checked());
          });
        }
        actions.click(updateActionFields);
        updateActionFields();
      });
    </script>
<style type="text/css">
@import url("/extension/pidgin/design/pidgin/stylesheets/style.css");
@import url("/static/pidgin-trac.css");
</style>
  </head><body>
    <div id="BodyWrapper">
      <div id="Container">
        <div class="TopNavigation">
          <a href="http://pidgin.im/"><img class="TitleImage" alt="Pidgin" src="8309_soubory/pidgin_logo.jpg" height="58" width="133"></a>
          <ul>
            <li><a href="http://pidgin.im/download">Download</a></li>
	    <li><a href="http://developer.pidgin.im/wiki/ThirdPartyPlugins">Plugins</a></li>
	    <li><a href="http://pidgin.im/support/">Help</a></li>
            <li><a href="http://pidgin.im/about">About</a></li>
            <li><a href="http://pidgin.im/news">News</a></li>
            <li class="Selected"><a href="http://developer.pidgin.im/">Development</a></li>
          </ul>
        </div>
    <div id="banner">
      <div id="header">
        <a id="logo" href="http://developer.pidgin.im/"><img src="8309_soubory/header.png" alt=""></a>
      </div>
      <form id="search" action="/search" method="get">
        <div>
          <label for="proj-search">Search:</label>
          <input id="proj-search" name="q" size="18" accesskey="f" type="text">
          <input value="Search" type="submit">
        </div>
      </form>
      <div id="metanav" class="nav">
    <ul>
      <li class="first">logged in as mcepl</li><li><a href="http://developer.pidgin.im/logout">Logout</a></li><li><a accesskey="6" href="http://developer.pidgin.im/wiki/TracGuide">Help/Guide</a></li><li><a href="http://developer.pidgin.im/about">About Trac</a></li><li class="last"><a href="http://developer.pidgin.im/prefs">Preferences</a></li>
    </ul>
  </div>
    </div>
    <div id="mainnav" class="nav">
    <ul>
      <li class="first"><a accesskey="1" href="http://developer.pidgin.im/wiki">Wiki</a></li><li><a accesskey="2" href="http://developer.pidgin.im/timeline">Timeline</a></li><li><a accesskey="3" href="http://developer.pidgin.im/roadmap">Roadmap</a></li><li><a href="http://developer.pidgin.im/report">View Tickets</a></li><li><a accesskey="7" href="http://developer.pidgin.im/newticket">New Ticket</a></li><li><a accesskey="4" href="http://developer.pidgin.im/search">Search</a></li><li class="last"><a href="http://developer.pidgin.im/doxygen">API</a></li>
    </ul>
  </div>
    <div id="main">
      <div id="ctxtnav" class="nav">
        <h2>Context Navigation</h2>
          <ul>
            <li class="first "><span id="vote" title="Vote count"><a href="http://developer.pidgin.im/vote/up/ticket/8309" id="upvote" title="Up-vote"><img src="8309_soubory/aupgray.png" alt="Vote Up"></a><span id="votes">+0</span><a href="http://developer.pidgin.im/vote/down/ticket/8309" id="downvote" title="Down-vote"><img src="8309_soubory/adowngray.png" alt="Vote Down"></a></span></li><li><span>← <a class="prev" href="http://developer.pidgin.im/ticket/7605" title="Ticket #7605">Previous Ticket</a></span></li><li><a href="http://developer.pidgin.im/query?summary=%7Esignal&amp;col=id&amp;col=summary&amp;col=owner&amp;col=type&amp;col=component&amp;col=version&amp;milestone=2.6.0&amp;order=priority&amp;row=description">Back to Query</a></li><li class="last"><span class="missing">Next Ticket →</span></li>
          </ul>
        <hr>
      </div>
    <div id="content" class="ticket">
      <h1>
              Ticket #8309
          <span class="status">(closed enhancement: fixed)</span>
      </h1>
      <!-- Do not show the ticket (pre)view when the user first comes to the "New Ticket" page.
           Wait until they hit preview. -->
        <!-- Ticket Box (ticket fields along with description) -->
        <div id="ticket">
          <div class="date">
            <p>Opened <a class="timeline" href="http://developer.pidgin.im/timeline?from=2009-01-31T18%3A56%3A39Z%2B0200&amp;precision=second" title="2009-01-31T18:56:39Z+0200 in Timeline">6 months</a> ago</p>
            <p>Last modified <a class="timeline" href="http://developer.pidgin.im/timeline?from=2009-05-03T22%3A23%3A39Z%2B0200&amp;precision=second" title="2009-05-03T22:23:39Z+0200 in Timeline">3 months</a> ago</p>
          </div>
          <!-- use a placeholder if it's a new ticket -->
          <h2 class="summary searchable">signal when chat is added/removed to the buddy list</h2>
          <table class="properties">
            <tbody><tr>
              <th id="h_reporter">Reported by:</th>
              <td headers="h_reporter" class="searchable">
            <a href="http://developer.pidgin.im/query?reporter=mcepl">mcepl</a>
        </td>
              <th id="h_owner">Owned by:</th>
              <td headers="h_owner">
		<a href="http://developer.pidgin.im/query?owner=deryni">deryni</a>
	</td>
            </tr>
            <tr>
                <th id="h_milestone">
                  Milestone:
                </th>
                <td headers="h_milestone">
                      <a class="milestone" href="http://developer.pidgin.im/milestone/2.6.0">2.6.0</a>
                </td>
                <th id="h_component">
                  Component:
                </th>
                <td headers="h_component">
		<a href="http://developer.pidgin.im/query?component=libpurple">libpurple</a>
	</td>
            </tr><tr>
                <th id="h_version">
                  Version:
                </th>
                <td headers="h_version">
		<a href="http://developer.pidgin.im/query?version=2.5.4">2.5.4</a>
	</td>
                <th id="h_keywords">
                  Keywords:
                </th>
                <td headers="h_keywords" class="searchable">
			<a href="http://www.google.com/search?q=site%3Adeveloper.pidgin.im+chat">chat</a>
			<a href="http://www.google.com/search?q=site%3Adeveloper.pidgin.im+add">add</a>
			<a href="http://www.google.com/search?q=site%3Adeveloper.pidgin.im+signal">signal</a>
	</td>
            </tr>
          </tbody></table>
            <div class="description">
              <h3 id="comment:description">
                Description
              <a title="Link to this section" href="#comment:description" class="anchor"> ¶</a></h3>
              <form id="addreply" method="get" action="#comment">
                <div class="inlinebuttons">
                  <input name="replyto" value="description" type="hidden">
                  <input name="reply" value="Reply" title="Reply, quoting this description" type="submit">
                </div>
              </form>
              <div class="searchable">
                <p>
I have created a Perl script <a class="ext-link" href="http://mcepl.fedorapeople.org/scripts/open-chats-from-xmpp-bookmarks.pl"><span class="icon">http://mcepl.fedorapeople.org/scripts/open-chats-from-xmpp-bookmarks.pl</span></a>
which opens chatrooms according to XMPP bookmarks stored on the Jabber
server. Now, I would like to extend this script to synchronize buddy
list with the server.
</p>
<p>In order to minimize changes in UI, I would like just to add two
procedure which would store/remove chatroom to the server, whenever new
chatroom is added/deleted from the buddy list.
</p>
<p>
However, when looking at <a class="ext-link" href="http://developer.pidgin.im/doxygen/dev/html/blist-signals.html"><span class="icon">Buddy List Signals</span></a> I see only <a class="ext-link" href="http://developer.pidgin.im/doxygen/dev/html/blist-signals.html#buddy-added"><span class="icon">buddy-added</span></a> and <a class="ext-link" href="http://developer.pidgin.im/doxygen/dev/html/blist-signals.html#buddy-removed"><span class="icon">buddy-removed</span></a> which seem to work with the new personal contacts added to the buddy list, not with chatrooms.
</p>
<p>
So, either chatroom-{added,removed} should be introduced, or generic blist-item-{added,removed} signals would be helpful.
</p>

              </div>
            </div>
        </div>
          <h2>Attachments</h2>
          <div id="attachments">
    <form method="get" action="/attachment/ticket/8309/" id="attachfile">
      <div>
        <input name="action" value="new" type="hidden">
        <input name="attachfilebutton" value="Attach file" type="submit">
      </div>
    </form>
          </div>
          <h2>Change History</h2>
          <div id="changelog">
            <form method="get" action="#comment" class="printableform">
              <div class="change">
                <h3 class="change" id="comment:1">
                  Changed <a class="timeline" href="http://developer.pidgin.im/timeline?from=2009-01-31T18%3A57%3A13Z%2B0200&amp;precision=second" title="2009-01-31T18:57:13Z+0200 in Timeline">6 months</a> ago by mcepl
                <a title="Link to this change" href="#comment:1" class="anchor"> ¶</a></h3>
                <div class="inlinebuttons">
                  <input name="replyto" value="1" type="hidden">
                  <input value="Reply" title="Reply to comment 1" type="submit">
                </div>
      <ul class="changes">
        <li>
          <strong>owner</strong>
            <em>lschiere</em> deleted
        </li><li>
          <strong>component</strong>
              changed from <em>unclassified</em> to <em>libpurple</em>
        </li>
      </ul>
      <div class="comment searchable">
        
      </div>
              </div>
            </form><form method="get" action="#comment" class="printableform">
              <div class="change">
                <h3 class="change" id="comment:2">
                  Changed <a class="timeline" href="http://developer.pidgin.im/timeline?from=2009-01-31T19%3A02%3A23Z%2B0200&amp;precision=second" title="2009-01-31T19:02:23Z+0200 in Timeline">6 months</a> ago by rekkanoryo
                <a title="Link to this change" href="#comment:2" class="anchor"> ¶</a></h3>
                <div class="inlinebuttons">
                  <input name="replyto" value="2" type="hidden">
                  <input value="Reply" title="Reply to comment 2" type="submit">
                </div>
      <ul class="changes">
        <li>
          <strong>keywords</strong>
            <em>chat</em> <em>add</em> <em>signal</em> added
        </li><li>
          <strong>milestone</strong>
              set to <em>2.6.0</em>
        </li>
      </ul>
      <div class="comment searchable">
        <p>
For now, we could add <tt>chat-added</tt>, <tt>chat-removed</tt>, <tt>blistnode-added</tt>, and <tt>blistnode-removed</tt> and then for 3.0.0 drop the <tt>chat-</tt> and <tt>buddy-</tt> signals to simplify the API.  The <tt>blistnode-</tt> signals should have a parameter that indicates the type of blist node, of course.
</p>

      </div>
              </div>
            </form><form method="get" action="#comment" class="printableform">
              <div class="change">
                <h3 class="change" id="comment:3">
                  Changed <a class="timeline" href="http://developer.pidgin.im/timeline?from=2009-02-03T20%3A39%3A39Z%2B0200&amp;precision=second" title="2009-02-03T20:39:39Z+0200 in Timeline">6 months</a> ago by deryni
                <a title="Link to this change" href="#comment:3" class="anchor"> ¶</a></h3>
                <div class="inlinebuttons">
                  <input name="replyto" value="3" type="hidden">
                  <input value="Reply" title="Reply to comment 3" type="submit">
                </div>
      <div class="comment searchable">
        <p>
PurpleBlistNode:s carry their type around with them.
</p>

      </div>
              </div>
            </form><form method="get" action="#comment" class="printableform">
              <div class="change">
                <h3 class="change" id="comment:4">
                  Changed <a class="timeline" href="http://developer.pidgin.im/timeline?from=2009-02-05T01%3A25%3A40Z%2B0200&amp;precision=second" title="2009-02-05T01:25:40Z+0200 in Timeline">6 months</a> ago by rekkanoryo
                <a title="Link to this change" href="#comment:4" class="anchor"> ¶</a></h3>
                <div class="inlinebuttons">
                  <input name="replyto" value="4" type="hidden">
                  <input value="Reply" title="Reply to comment 4" type="submit">
                </div>
      <div class="comment searchable">
        <p>
Hmm, yes, I had forgotten about that.  In that case, just add <tt>blistnode-added</tt> and <tt>blistnode-removed</tt> signals, mark the <tt>buddy-</tt> signals as deprecated, and schedule the deprecated signals to be removed for 3.0.0.
</p>

      </div>
              </div>
            </form><form method="get" action="#comment" class="printableform">
              <div class="change">
                <h3 class="change" id="comment:5">
                  Changed <a class="timeline" href="http://developer.pidgin.im/timeline?from=2009-02-05T21%3A01%3A07Z%2B0200&amp;precision=second" title="2009-02-05T21:01:07Z+0200 in Timeline">6 months</a> ago by deryni
                <a title="Link to this change" href="#comment:5" class="anchor"> ¶</a></h3>
                <div class="inlinebuttons">
                  <input name="replyto" value="5" type="hidden">
                  <input value="Reply" title="Reply to comment 5" type="submit">
                </div>
      <ul class="changes">
        <li>
          <strong>owner</strong>
            set to <em>deryni</em>
        </li>
      </ul>
      <div class="comment searchable">
        
      </div>
              </div>
            </form><form method="get" action="#comment" class="printableform">
              <div class="change">
                <h3 class="change" id="comment:6">
                  Changed <a class="timeline" href="http://developer.pidgin.im/timeline?from=2009-05-03T22%3A23%3A39Z%2B0200&amp;precision=second" title="2009-05-03T22:23:39Z+0200 in Timeline">3 months</a> ago by darkrain42@…
                <a title="Link to this change" href="#comment:6" class="anchor"> ¶</a></h3>
                <div class="inlinebuttons">
                  <input name="replyto" value="6" type="hidden">
                  <input value="Reply" title="Reply to comment 6" type="submit">
                </div>
      <ul class="changes">
        <li>
          <strong>status</strong>
              changed from <em>new</em> to <em>closed</em>
        </li><li>
          <strong>resolution</strong>
              set to <em>fixed</em>
        </li>
      </ul>
      <div class="comment searchable">
        <p>
(In [<a class="changeset" href="http://developer.pidgin.im/viewmtn/revision/info/32f8ae7d8795036eb08cee5aeeca18fd270bd0e9" title="32f8ae7d8795036eb08cee5aeeca18fd270bd0e9">32f8ae7d8795036eb08cee5aeeca18fd270bd0e9</a>]):<br>
Add blist-node-(added|removed) and deprecate buddy-(added|removed). Closes <a class="closed ticket" href="http://developer.pidgin.im/ticket/8309" title="enhancement: signal when chat is added/removed to the buddy list (closed: fixed)">#8309</a>
</p>

      </div>
              </div>
            </form>
          </div>
      <form action="/ticket/8309" method="post" id="propertyform"><div><input name="__FORM_TOKEN" value="57d57fbb949e46e1c66da8f0" type="hidden"></div>
        <h3><a id="edit" onfocus="$('#comment').get(0).focus()">
            Add/Change #8309 (signal when chat is added/removed to the buddy list)</a></h3>
        <p>Cc me to this ticket: <input checked="checked" name="cc_update_manual" value="yes" disabled="disabled" id="field-cc-manual1" type="radio"><label for="field-cc-manual1">Yes</label> <input name="cc_update_manual" value="no" disabled="disabled" id="field-cc-manual0" type="radio"><label for="field-cc-manual0">No</label><em> (You are permanently added to the cc list because you are the reporter.)</em></p><div class="field">
          <fieldset class="iefix">
            <label for="comment">Comment (you may use
              <a tabindex="42" href="http://developer.pidgin.im/wiki/WikiFormatting">WikiFormatting</a>
              here):
            </label><br>
            <p><div class="wikitoolbar"><a tabindex="400" title="Bold text: '''Example'''" id="strong" href="#"></a><a tabindex="400" title="Italic text: ''Example''" id="em" href="#"></a><a tabindex="400" title="Heading: == Example ==" id="heading" href="#"></a><a tabindex="400" title="Link: [http://www.example.com/ Example]" id="link" href="#"></a><a tabindex="400" title="Code block: {{{ example }}}" id="code" href="#"></a><a tabindex="400" title="Horizontal rule: ----" id="hr" href="#"></a><a tabindex="400" title="New paragraph" id="np" href="#"></a><a tabindex="400" title="Line break: [[BR]]" id="br" href="#"></a><a tabindex="400" title="Image: [[Image()]]" id="img" href="#"></a></div><textarea itsalltext_uid="2t2h2f2a2g2e2i361d2c343a372e1h1w361w371e31291p1p" id="comment" name="comment" class="wikitext" rows="10" cols="78"></textarea><img itsalltext_UID="2t2h2f2a2g2e2i361d2c343a372e1h1w361w371e31291p1p" style="border: medium none  ! important; margin: 0pt ! important; padding: 0pt ! important; cursor: pointer ! important; display: none ! important; position: absolute ! important; width: 28px ! important; height: 14px ! important;" title="It's All Text!" src="8309_soubory/gumdrop.png"></p>
          </fieldset>
        </div>
          <fieldset id="action">
            <legend>Action</legend>
            <div>
              <input id="action_leave" name="action" value="leave" checked="checked" type="radio">
                <label for="action_leave">leave</label>
                as closed
                <span class="hint"></span><span class="hint"></span>
            </div>
          </fieldset>
        <div class="buttons">
            <input name="ts" value="2009-05-03 20:23:39+00:00" type="hidden">
            <input name="replyto" type="hidden">
            <input name="cnum" value="7" type="hidden">
          <input name="preview" value="Preview" accesskey="r" type="submit">&nbsp;
          <input name="submit" value="Submit changes" type="submit">
        </div>
        </form>
      <div id="help">
        <strong>Note:</strong> See
        <a href="http://developer.pidgin.im/wiki/TracTickets">TracTickets</a> for help on using
        tickets.
      </div>
    </div>
    <div id="altlinks">
      <h3>Download in other formats:</h3>
      <ul>
        <li class="first">
          <a rel="nofollow" href="http://developer.pidgin.im/ticket/8309?format=csv" class="csv">Comma-delimited Text</a>
        </li><li>
          <a rel="nofollow" href="http://developer.pidgin.im/ticket/8309?format=tab" class="tab">Tab-delimited Text</a>
        </li><li class="last">
          <a rel="nofollow" href="http://developer.pidgin.im/ticket/8309?format=rss" class="rss">RSS Feed</a>
        </li>
      </ul>
    </div>
    </div>
    <div id="footer" xml:lang="en" lang="en"><hr>
      <a id="tracpowered" href="http://trac.edgewall.org/"><img src="8309_soubory/trac_logo_mini.png" alt="Trac Powered" height="30" width="107"></a>
      <p class="left">
        Powered by <a href="http://developer.pidgin.im/about"><strong>Trac 0.11.1</strong></a><br>
        By <a href="http://www.edgewall.org/">Edgewall Software</a>.
      </p>
      <p class="right">Visit the Trac open source project at<br><a href="http://trac.edgewall.org/">http://trac.edgewall.org/</a></p>
    </div>
      </div>
    </div>
  
  <!-- Google Analytics Widget Code -->
<script type="text/javascript">
  var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
  document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script><script src="8309_soubory/ga.js" type="text/javascript"></script>
<script type="text/javascript">
  jQuery(document).ready( function() {
    var pageTracker = _gat._getTracker("UA-2814037-1");
    pageTracker._setDomainName(".pidgin.im");
    pageTracker._initData();
    pageTracker._trackPageview();
    jQuery('a').each( function() {
      var url;
      if ( this.href.match("http:\/\/developer.pidgin.im") ) {
        if ( this.href.match(/\.(.)$/) ) {
          url = this.pathname + this.search;
        };
      } else {
        var port = '';
        if ( this.port != '') port = ':'+this.port;
        url = '/external/' + this.hostname + port + this.pathname + this.search;
      };
      if ( url ) {
        if ( ! url.match('^\/attachment\/') ) {
          jQuery(this).click( function() {
            pageTracker._trackPageview(url);
          });
        };
      };
    });
  });
</script>
</body></html>